from tensorflow.keras import Sequential
import tensorflow.keras as keras
import tensorflow.keras.layers as layers

from harmonic.benchmark import run_n
from data.mnist import get_mnist_rot


def create_dense():
    model = Sequential([
        layers.Flatten(),
        layers.Dense(512),
        layers.Dense(256),
        layers.Dense(128),
        layers.Dense(10)
    ])

    model.compile(optimizer='adam', loss=keras.losses.SparseCategoricalCrossentropy(), metrics=['accuracy'])
    return model


if __name__ == '__main__':
    train, test = get_mnist_rot()
    model = create_cnn()
    run_n(model, train, test)
